Onboard a tenant
curl --request POST \
--url https://sandbox.apocor.ai/v1/organizations/onboard \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Acme Inc",
"type": "DIRECT",
"admin_name": "Alice Admin",
"admin_email": "[email protected]"
}
'import requests
url = "https://sandbox.apocor.ai/v1/organizations/onboard"
payload = {
"name": "Acme Inc",
"type": "DIRECT",
"admin_name": "Alice Admin",
"admin_email": "[email protected]"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Acme Inc',
type: 'DIRECT',
admin_name: 'Alice Admin',
admin_email: '[email protected]'
})
};
fetch('https://sandbox.apocor.ai/v1/organizations/onboard', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"organization": {
"id": "<string>",
"name": "<string>",
"parentId": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
},
"invite": {
"email": "<string>",
"emailSent": true,
"onboardingUrl": "<string>"
}
}
}{
"error": {
"code": "FORBIDDEN",
"message": "APOCOR_ADMIN required"
}
}Organizations
Onboard a tenant
Creates a tenant organization and emails an onboarding invite to the admin. Requires APOCOR_ADMIN or RESELLER_ADMIN.
POST
/
v1
/
organizations
/
onboard
Onboard a tenant
Authorizations
Bearer access token obtained from POST /v1/oauth/token using your Apocor API key.
Body
application/json
Response
Tenant created and invite sent.
Show child attributes
Show child attributes
⌘I